Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

override of CDH parcel - Cloudera director

override of CDH parcel - Cloudera director

Explorer

products {

CDH: 5

}

 

 

# # Optional override of CDH parcel repositories

parcelRepositories: ["http://archive.cloudera.com/cdh5/parcels/5.4.0/"]

 

I tried to override parcel verion 5.4.0 over 5. I got error.

 

nner: >> DefaultBootstrapClusterJob/4 [Environment{name='C5-ULTEST-AWS Environment', provider=InstanceProviderConfig{type='aws'}, credenti ...
[2016-05-20 04:34:19] ERROR [pipeline-thread-1] - c.c.l.pipeline.util.PipelineRunner: Attempt to execute job failed
java.lang.IllegalArgumentException: Parcel of product CDH not available with version 5.4.0
at com.cloudera.launchpad.bootstrap.cluster.util.BootstrapClusterUtils.validateAndGetParcelVersions(BootstrapClusterUtils.java:275) ~[launchpad-bootstrap-2.0.0.jar!/:2.0.0]
at com.cloudera.launchpad.api.jobs.DefaultBootstrapClusterJob.run(DefaultBootstrapClusterJob.java:110) ~[launchpad-api-common-2.0.0.jar!/:2.0.0]
at co


CDH-5.5.4-1.cdh5.5.4.p0.9

 

 

5 REPLIES 5
Highlighted

Re: override of CDH parcel - Cloudera director

New Contributor
Are you using 5.4 or 5.5.4?

If you're using 5.5.4, the URL should be: http://archive.cloudera.com/cdh5/parcels/5.5.4/

Re: override of CDH parcel - Cloudera director

Contributor

Kartik,

 

Your message mentions both 5.4.0 and 5.5.4, can you confirm which one you are trying to use? Also, is this an AMI with any parcels pre-loaded on it?

 

If you want the latest 5.5 parcel, you can try http://archive.cloudera.com/cdh5/parcels/5.5/ which currently contains 5.5.4 (or specify 5.5.4 explicitly in the URL). This is also the default in Director 2.0, so you would get this without the URL override. 

 

If you specifically want 5.4.0 and not 5.5.4, I do see that the parcels exist on the URL http://archive.cloudera.com/cdh5/parcels/5.4.0/ Please confirm if your networking is configured to allow downloads. You can try with the latest version to see if that goes through, or gives the same error. If every version gives the same error it might be restricted access on your network.

Re: override of CDH parcel - Cloudera director

Explorer

What is right configuration to run director client with parcel 5.4.0 ?

 

Spoiler
#Conf 1

products {

CDH: 5

}

# Optional override of CDH parcel repositories

parcelRepositories: ["http://archive.cloudera.com/cdh5/parcels/5.4.0/"]

 

OR

 

Spoiler
#Conf 2

products {

CDH: 5.4.0

}

# Optional override of CDH parcel repositories

parcelRepositories: ["http://archive.cloudera.com/cdh5/parcels/5.4.0/"]

 

 

 

Re: override of CDH parcel - Cloudera director

Contributor

Any of 5, 5.4 or 5.4.0 specified as product version should work with URL /5.4.0

 

To eliminate any access or version issues, does it work

- if you don't override the version, and use the default instead?

- if you override with a more recent version than 5.4.0, e.g. 5.5.4?

Re: override of CDH parcel - Cloudera director

Explorer
What is configuration to run director client with parcel 5.4.0 ?